:root {
    --baihe-company-info-height: 376px;
}

.baihe_company_info {
    position: relative;
    padding: calc(var(--component-gap-sm) * 2) 0 var(--baihe-company-info-height);
}

.baihe_company_info_content {
    display: flex;
    justify-content: space-between;
}

.baihe_company_info_content h2 {
    max-width: 32%;
    color: var(--title-text-color);
    font-size: var(--title-size-h2);
    font-weight: 700;
    line-height: 1;
    text-transform: uppercase;
}

.baihe_company_info_content h2 b {
    color: var(--color-primary);
    font-weight: 700;
}

.baihe_company_info_content .baihe_company_info_desc {
    color: var(--text-color);
    font-size: var(--text-size);
    font-weight: 400;
    line-height: 1.625;
}

.baihe_btn {
    margin-top: 35px;
}

.baihe_company_info_info {
    max-width: 54%;
}

.baihe_company_info_image_wrapper {
    position: absolute;
    top: calc(100% + var(--component-gap) - var(--baihe-company-info-height));
    left: 0;
    width: 100%;
}

.baihe_company_info_image {
    position: relative;
}

.baihe_company_info_image img {
    border-radius: 20px;
    display: block;
    width: 100%;
    aspect-ratio: 1500 / 650;
    object-fit: cover;
}

.baihe_company_info_video {

    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 76px;
    height: 76px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.baihe_company_info_video svg {
    overflow: visible;
}

.baihe_company_info_bg_text {
    position: absolute;
    top: 45%;
    right: 0;
    color: #fff;
    -webkit-text-stroke-width: 1px;
    -webkit-text-stroke-color: var(--color-primary);
    font-size: 170px;
    font-weight: 700;
    line-height: 69px;
    text-transform: uppercase;
    opacity: 0.25;
    z-index: -1;
    font-family: var(--title-font-family);
}

/* 向外扩散动画 */
@keyframes ripple {
    0% {
        transform: scale(1);
        opacity: 0.4;
    }

    100% {
        transform: scale(1.5);
        opacity: 0;
    }
}

.baihe_company_info_video_circle1 {
    animation: ripple 2s ease-out infinite;
    transform-origin: center;
}

.baihe_company_info_video_circle2 {
    animation: ripple 2s ease-out infinite;
    animation-delay: 1s;
    transform-origin: center;
}

@media screen and (max-width: 1500px) {
    .baihe_company_info_content h2 {
        max-width: 40%;
    }

    :root {
        --baihe-company-info-height: 320px;
    }
}

@media screen and (max-width: 1200px) {
    .baihe_company_info_content h2 {
        max-width: 45%;
    }

    :root {
        --baihe-company-info-height: 275px;
    }

}

@media screen and (max-width: 992px) {
    :root {
        --baihe-company-info-height: 200px;
    }

    .baihe_company_info_content {
        flex-direction: column;
        gap: 20px;
    }

    .baihe_company_info_content h2 {
        max-width: 100%;
    }

    .baihe_company_info_info {
        max-width: 100%;
    }

    .baihe_company_info_bg_text {
        font-size: 100px;
        top: 57%;
    }

    .baihe_btn {
        margin-top: 20px;
    }
}

@media screen and (max-width: 768px) {
    :root {
        --baihe-company-info-height: 140px;
    }

    .baihe_company_info_bg_text {
        font-size: 90px;
        top: 60%;
    }

}

@media screen and (max-width: 576px) {
    :root {
        --baihe-company-info-height: 120px;
    }
}
@media screen and (max-width: 480px) {
    :root {
        --baihe-company-info-height: 100px;
    }
}